Closed Bug 1604200 Opened 2 years ago Closed 2 years ago

Intermittent high-contrast/selection-001.html == high-contrast/selection-001-ref.html | image comparison, max difference: 255, number of differing pixels: 3116

Categories

(Core :: Graphics: WebRender, defect, P5)

defect

Tracking

()

RESOLVED FIXED
mozilla76
Tracking Status
firefox74 --- wontfix
firefox75 --- wontfix
firefox76 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: emilio)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell unknown])

Attachments

(1 file, 1 obsolete file)

This seems to only happen with WebRender.

Component: Layout → Graphics: WebRender

Emilio this is not happening only on Webrender anymore, does the component need to be changed?

Last 30 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-01-08&endday=2020-02-07&tree=trunk&bug=1604200

There are 21 total failures in the last 7 days on

linux1804-64 debug
linux1804-64-asan opt
linux1804-64-qr debug
linux1804-64-shippable-qr opt

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=288001150&repo=mozilla-central&lineNumber=9105

[task 2020-02-07T23:48:04.337Z] 23:48:04 INFO - REFTEST TEST-START | layout/reftests/high-contrast/selection-001.html == layout/reftests/high-contrast/selection-001-ref.html
[task 2020-02-07T23:48:04.344Z] 23:48:04 INFO - REFTEST INFO | SET PREFERENCE pref(browser.display.document_color_use,2)
[task 2020-02-07T23:48:04.345Z] 23:48:04 INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/high-contrast/selection-001.html | 13 / 18 (72%)
[task 2020-02-07T23:48:04.409Z] 23:48:04 INFO - REFTEST INFO | RESTORE PREFERENCE pref(browser.display.document_color_use,0)
[task 2020-02-07T23:48:04.409Z] 23:48:04 INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/high-contrast/selection-001-ref.html | 13 / 18 (72%)
[task 2020-02-07T23:48:04.645Z] 23:48:04 INFO - REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/high-contrast/selection-001.html == layout/reftests/high-contrast/selection-001-ref.html | image comparison, max difference: 255, number of differing pixels: 3116

Jessie can you assign someone to take a look?

Flags: needinfo?(jbonisteel)
Flags: needinfo?(emilio)
Whiteboard: [stockwell needswork:owner]

If it happens also on non-WR it may be a layout issue or an issue with the test. I'll investigate a bit.

Assignee: nobody → emilio
Flags: needinfo?(emilio)
Flags: needinfo?(jbonisteel)

Use MozReftestInvalidate rather than onload, following the pattern of most of
the tests in layout/reftests/selection.

Attachment #9125246 - Attachment description: Bug 1604200 - try to make selection test more reliable. r=mats,dholbert → Bug 1604200 - Try to make high-contrast selection test more reliable. r=mats,dholbert
Pushed by ealvarez@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/a7f4f5a7a8c4
Try to make high-contrast selection test more reliable. r=mats

Well, I don't have time to look into this right at this very moment.

Flags: needinfo?(emilio)

There are 20 failures associated to this bug in the last 7 days. These are occurring on linux1804-64-asan-qr opt and linux1804-64-qr debug.

recent log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=292121328&repo=autoland&lineNumber=10306

[task 2020-03-07T17:53:03.992Z] 17:53:03 INFO - REFTEST TEST-START | layout/reftests/high-contrast/selection-001.html == layout/reftests/high-contrast/selection-001-ref.html
[task 2020-03-07T17:53:03.992Z] 17:53:03 INFO - REFTEST INFO | SET PREFERENCE pref(browser.display.document_color_use,2)
[task 2020-03-07T17:53:03.993Z] 17:53:03 INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/high-contrast/selection-001.html | 16 / 24 (66%)
[task 2020-03-07T17:53:04.126Z] 17:53:04 INFO - REFTEST INFO | RESTORE PREFERENCE pref(browser.display.document_color_use,0)
[task 2020-03-07T17:53:04.127Z] 17:53:04 INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/high-contrast/selection-001-ref.html | 16 / 24 (66%)
[task 2020-03-07T17:53:04.491Z] 17:53:04 INFO - REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/high-contrast/selection-001.html == layout/reftests/high-contrast/selection-001-ref.html | image comparison, max difference: 255, number of differing pixels: 3116
[task 2020-03-07T17:53:04.493Z] 17:53:04 INFO - REFTEST INFO | Saved log: START file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/high-contrast/selection-001.html
[task 2020-03-07T17:53:04.493Z] 17:53:04 INFO - REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
[task 2020-03-07T17:53:04.493Z] 17:53:04 INFO - REFTEST INFO | Saved log: Initializing canvas snapshot
[task 2020-03-07T17:53:04.493Z] 17:53:04 INFO - REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
[task 2020-03-07T17:53:04.494Z] 17:53:04 INFO - REFTEST INFO | Saved log: [CONTENT] RecordResult fired
[task 2020-03-07T17:53:04.494Z] 17:53:04 INFO - REFTEST INFO | Saved log: RecordResult fired
[task 2020-03-07T17:53:04.496Z] 17:53:04 INFO - REFTEST INFO | Saved log: START file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/high-contrast/selection-001-ref.html
[task 2020-03-07T17:53:04.496Z] 17:53:04 INFO - REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
[task 2020-03-07T17:53:04.497Z] 17:53:04 INFO - REFTEST INFO | Saved log: Initializing canvas snapshot
[task 2020-03-07T17:53:04.497Z] 17:53:04 INFO - REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
[task 2020-03-07T17:53:04.498Z] 17:53:04 INFO - REFTEST INFO | Saved log: [CONTENT] RecordResult fired
[task 2020-03-07T17:53:04.500Z] 17:53:04 INFO - REFTEST INFO | Saved log: RecordResult fired
[task 2020-03-07T17:53:04.500Z] 17:53:04 INFO - REFTEST TEST-END | layout/reftests/high-contrast/selection-001.html == layout/reftests/high-contrast/selection-001-ref.html

Jessie since Emilio doesn't have the time for this right now, can you please take a look and assign it to someone?

Thank you.

Flags: needinfo?(jbonisteel)
Whiteboard: [stockwell unknown] → [stockwell needswork:owner]

If this is urgent I should probably take a look at it.

Flags: needinfo?(jbonisteel) → needinfo?(emilio)

It seems webrender has some invalidation issues on the test reference and won't
paint the selected text on time. Instead, run the selection ASAP so that it
hopefully paints soon enough.

Attachment #9132054 - Attachment description: Bug 1604200 - Second attempt at making this test more reliable. r=dholbert → Bug 1604200 - Second attempt at making reftest selection-001.html more reliable. r=dholbert
Flags: needinfo?(emilio)
Pushed by ealvarez@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5068f7bd8bbe
Second attempt at making reftest selection-001.html more reliable. r=dholbert
Attachment #9132054 - Attachment description: Bug 1604200 - Second attempt at making reftest selection-001.html more reliable. r=dholbert → Bug 1604200 - Second attempt at making this test more reliable. r=dholbert
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla76

The patch landed in nightly and beta is affected.
:emilio, is this bug important enough to require an uplift?
If not please set status_beta to wontfix.

For more information, please visit auto_nag documentation.

Flags: needinfo?(emilio)

test-only, so probably wontfix

Flags: needinfo?(emilio)
Attachment #9125246 - Attachment is obsolete: true
You need to log in before you can comment on or make changes to this bug.